<?php
namespace Exception;
class Messages {

    /* + ------------------------------ +
     * | Error messages
     * + ------------------------------ + */
    const ERR_SPONSOR_NOT_FOUND                  = 'Cliente não registrado. ';
    const ERR_SPONSOR_ACCESS                     = 'Erro de acesso aos serviços. ';

    const ERR_NOT_SUCCESSFUL_SAVED_EXPLANATION   = 'Não foi possível salvar os dados, pois ';
    const ERR_NOT_SUCCESSFUL_SAVED               = 'Não foi possível salvar os dados.';
    const ERR_NOT_SUCCESSFUL_DELETED_EXPLANATION = 'Não foi possível deletar o(s) registro(s), pois ';
    const ERR_NOT_SUCCESSFUL_DELETED             = 'Não foi possível deletar o(s) registro(s).';
    const ERR_NOT_SUCCESSFUL_FOUND_EXPLANATION   = 'Não foi possível encontrar os dados, pois ';

    /* + ------------------------------ +
     * | Successful messages
     * + ------------------------------ + */
    const SUC_SUCCESSFUL_CREATED = 'Registro criado com sucesso.';
    const SUC_SUCCESSFUL_UPDATED = 'Registro atualizado com sucesso.';
    const SUC_SUCCESSFUL_SAVED   = 'Registro salvo com sucesso.';
    const SUC_SUCCESSFUL_REMOVED = 'Registro(s) removido(s) com sucesso.';

    public function paramRequired($param){
        return "Param ".$param." is required.";
    }
}